<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>ExtendedGeneralPath (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExtendedGeneralPath (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExtendedGeneralPath.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util.svg</a></div>
<h2 title="Class ExtendedGeneralPath" class="title">Class ExtendedGeneralPath</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.svg.ExtendedGeneralPath</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.Shape</code>, <code>java.lang.Cloneable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">ExtendedGeneralPath</span>
extends java.lang.Object
implements java.awt.Shape, java.lang.Cloneable</pre>
<div class="block">The <code>ExtendedGeneralPath</code> class represents a geometric
 path constructed from straight lines, quadratic and cubic (Bezier)
 curves and elliptical arc. This class delegates lines and curves to
 an enclosed <code>GeneralPath</code>. Elliptical arc is implemented
 using an <code>Arc2D</code> in float precision.

 <p><b>Warning</b> : An elliptical arc may be composed of several
 path segments. For futher details, see the SVG Appendix&nbsp;F.6</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.geom.GeneralPath</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#path">path</a></span></code></th>
<td class="colLast">
<div class="block">The enclosed general path.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ExtendedGeneralPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs a new <code>ExtendedGeneralPath</code>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int)">ExtendedGeneralPath</a></span>&#8203;(int&nbsp;rule)</code></th>
<td class="colLast">
<div class="block">Constructs a new <code>ExtendedGeneralPath</code> with the
 specified winding rule to control operations that require the
 interior of the path to be defined.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int)">ExtendedGeneralPath</a></span>&#8203;(int&nbsp;rule,
                   int&nbsp;initialCapacity)</code></th>
<td class="colLast">
<div class="block">Constructs a new <code>ExtendedGeneralPath</code> object with
 the specified winding rule and the specified initial capacity
 to store path coordinates.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.awt.Shape)">ExtendedGeneralPath</a></span>&#8203;(java.awt.Shape&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Constructs a new <code>ExtendedGeneralPath</code> object from
 an arbitrary <code>Shape</code> object.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#append(hk.quantr.mxgraph.util.svg.ExtendedPathIterator,boolean)">append</a></span>&#8203;(<a href="ExtendedPathIterator.html" title="interface in hk.quantr.mxgraph.util.svg">ExtendedPathIterator</a>&nbsp;epi,
      boolean&nbsp;connect)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#append(java.awt.geom.PathIterator,boolean)">append</a></span>&#8203;(java.awt.geom.PathIterator&nbsp;pi,
      boolean&nbsp;connect)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#append(java.awt.Shape,boolean)">append</a></span>&#8203;(java.awt.Shape&nbsp;s,
      boolean&nbsp;connect)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#arcTo(float,float,float,boolean,boolean,float,float)">arcTo</a></span>&#8203;(float&nbsp;rx,
     float&nbsp;ry,
     float&nbsp;angle,
     boolean&nbsp;largeArcFlag,
     boolean&nbsp;sweepFlag,
     float&nbsp;x,
     float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Adds an elliptical arc, defined by two radii, an angle from the
 x-axis, a flag to choose the large arc or not, a flag to
 indicate if we increase or decrease the angles and the final
 point of the arc.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#checkMoveTo()">checkMoveTo</a></span>()</code></th>
<td class="colLast">
<div class="block">Checks if previous command was a moveto command,
 skipping a close command (if present).</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#clone()">clone</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#closePath()">closePath</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static java.awt.geom.Arc2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#computeArc(double,double,double,double,double,boolean,boolean,double,double)">computeArc</a></span>&#8203;(double&nbsp;x0,
          double&nbsp;y0,
          double&nbsp;rx,
          double&nbsp;ry,
          double&nbsp;angle,
          boolean&nbsp;largeArcFlag,
          boolean&nbsp;sweepFlag,
          double&nbsp;x,
          double&nbsp;y)</code></th>
<td class="colLast">
<div class="block">This constructs an unrotated Arc2D from the SVG specification of an
 Elliptical arc.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(double,double)">contains</a></span>&#8203;(double&nbsp;x,
        double&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(double,double,double,double)">contains</a></span>&#8203;(double&nbsp;x,
        double&nbsp;y,
        double&nbsp;w,
        double&nbsp;h)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(java.awt.geom.Point2D)">contains</a></span>&#8203;(java.awt.geom.Point2D&nbsp;p)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(java.awt.geom.Rectangle2D)">contains</a></span>&#8203;(java.awt.geom.Rectangle2D&nbsp;r)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.awt.Shape</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTransformedShape(java.awt.geom.AffineTransform)">createTransformedShape</a></span>&#8203;(java.awt.geom.AffineTransform&nbsp;at)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#curveTo(float,float,float,float,float,float)">curveTo</a></span>&#8203;(float&nbsp;x1,
       float&nbsp;y1,
       float&nbsp;x2,
       float&nbsp;y2,
       float&nbsp;x3,
       float&nbsp;y3)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.awt.Rectangle</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBounds()">getBounds</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBounds2D()">getBounds2D</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.awt.geom.Point2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCurrentPoint()">getCurrentPoint</a></span>()</code></th>
<td class="colLast">
<div class="block">get the current position or <code>null</code>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="ExtendedPathIterator.html" title="interface in hk.quantr.mxgraph.util.svg">ExtendedPathIterator</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getExtendedPathIterator()">getExtendedPathIterator</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.awt.geom.PathIterator</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPathIterator(java.awt.geom.AffineTransform)">getPathIterator</a></span>&#8203;(java.awt.geom.AffineTransform&nbsp;at)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.awt.geom.PathIterator</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPathIterator(java.awt.geom.AffineTransform,double)">getPathIterator</a></span>&#8203;(java.awt.geom.AffineTransform&nbsp;at,
               double&nbsp;flatness)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWindingRule()">getWindingRule</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intersects(double,double,double,double)">intersects</a></span>&#8203;(double&nbsp;x,
          double&nbsp;y,
          double&nbsp;w,
          double&nbsp;h)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intersects(java.awt.geom.Rectangle2D)">intersects</a></span>&#8203;(java.awt.geom.Rectangle2D&nbsp;r)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lineTo(float,float)">lineTo</a></span>&#8203;(float&nbsp;x,
      float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moveTo(float,float)">moveTo</a></span>&#8203;(float&nbsp;x,
      float&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#quadTo(float,float,float,float)">quadTo</a></span>&#8203;(float&nbsp;x1,
      float&nbsp;y1,
      float&nbsp;x2,
      float&nbsp;y2)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reset()">reset</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWindingRule(int)">setWindingRule</a></span>&#8203;(int&nbsp;rule)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#transform(java.awt.geom.AffineTransform)">transform</a></span>&#8203;(java.awt.geom.AffineTransform&nbsp;at)</code></th>
<td class="colLast">
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="path">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>path</h4>
<pre>protected&nbsp;java.awt.geom.GeneralPath path</pre>
<div class="block">The enclosed general path.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExtendedGeneralPath</h4>
<pre>public&nbsp;ExtendedGeneralPath()</pre>
<div class="block">Constructs a new <code>ExtendedGeneralPath</code>.</div>
</li>
</ul>
<a id="&lt;init&gt;(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExtendedGeneralPath</h4>
<pre>public&nbsp;ExtendedGeneralPath&#8203;(int&nbsp;rule)</pre>
<div class="block">Constructs a new <code>ExtendedGeneralPath</code> with the
 specified winding rule to control operations that require the
 interior of the path to be defined.</div>
</li>
</ul>
<a id="&lt;init&gt;(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExtendedGeneralPath</h4>
<pre>public&nbsp;ExtendedGeneralPath&#8203;(int&nbsp;rule,
                           int&nbsp;initialCapacity)</pre>
<div class="block">Constructs a new <code>ExtendedGeneralPath</code> object with
 the specified winding rule and the specified initial capacity
 to store path coordinates.</div>
</li>
</ul>
<a id="&lt;init&gt;(java.awt.Shape)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ExtendedGeneralPath</h4>
<pre>public&nbsp;ExtendedGeneralPath&#8203;(java.awt.Shape&nbsp;s)</pre>
<div class="block">Constructs a new <code>ExtendedGeneralPath</code> object from
 an arbitrary <code>Shape</code> object.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="arcTo(float,float,float,boolean,boolean,float,float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>arcTo</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;arcTo&#8203;(float&nbsp;rx,
                  float&nbsp;ry,
                  float&nbsp;angle,
                  boolean&nbsp;largeArcFlag,
                  boolean&nbsp;sweepFlag,
                  float&nbsp;x,
                  float&nbsp;y)</pre>
<div class="block">Adds an elliptical arc, defined by two radii, an angle from the
 x-axis, a flag to choose the large arc or not, a flag to
 indicate if we increase or decrease the angles and the final
 point of the arc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rx</code> - the x radius of the ellipse</dd>
<dd><code>ry</code> - the y radius of the ellipse</dd>
<dd><code>angle</code> - the angle from the x-axis of the current
 coordinate system to the x-axis of the ellipse in degrees.</dd>
<dd><code>largeArcFlag</code> - the large arc flag. If true the arc
 spanning less than or equal to 180 degrees is chosen, otherwise
 the arc spanning greater than 180 degrees is chosen</dd>
<dd><code>sweepFlag</code> - the sweep flag. If true the line joining
 center to arc sweeps through decreasing angles otherwise it
 sweeps through increasing angles</dd>
<dd><code>x</code> - the absolute x coordinate of the final point of the arc.</dd>
<dd><code>y</code> - the absolute y coordinate of the final point of the arc.</dd>
</dl>
</li>
</ul>
<a id="computeArc(double,double,double,double,double,boolean,boolean,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeArc</h4>
<pre class="methodSignature">public static&nbsp;java.awt.geom.Arc2D&nbsp;computeArc&#8203;(double&nbsp;x0,
                                             double&nbsp;y0,
                                             double&nbsp;rx,
                                             double&nbsp;ry,
                                             double&nbsp;angle,
                                             boolean&nbsp;largeArcFlag,
                                             boolean&nbsp;sweepFlag,
                                             double&nbsp;x,
                                             double&nbsp;y)</pre>
<div class="block">This constructs an unrotated Arc2D from the SVG specification of an
 Elliptical arc.  To get the final arc you need to apply a rotation
 transform such as:

 AffineTransform.getRotateInstance
     (angle, arc.getX()+arc.getWidth()/2, arc.getY()+arc.getHeight()/2);</div>
</li>
</ul>
<a id="moveTo(float,float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveTo</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;moveTo&#8203;(float&nbsp;x,
                   float&nbsp;y)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="lineTo(float,float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineTo</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;lineTo&#8203;(float&nbsp;x,
                   float&nbsp;y)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="quadTo(float,float,float,float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quadTo</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;quadTo&#8203;(float&nbsp;x1,
                   float&nbsp;y1,
                   float&nbsp;x2,
                   float&nbsp;y2)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="curveTo(float,float,float,float,float,float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>curveTo</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;curveTo&#8203;(float&nbsp;x1,
                    float&nbsp;y1,
                    float&nbsp;x2,
                    float&nbsp;y2,
                    float&nbsp;x3,
                    float&nbsp;y3)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="closePath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closePath</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;closePath()</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="checkMoveTo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkMoveTo</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;checkMoveTo()</pre>
<div class="block">Checks if previous command was a moveto command,
 skipping a close command (if present).</div>
</li>
</ul>
<a id="append(java.awt.Shape,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>append</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;append&#8203;(java.awt.Shape&nbsp;s,
                   boolean&nbsp;connect)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="append(java.awt.geom.PathIterator,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>append</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;append&#8203;(java.awt.geom.PathIterator&nbsp;pi,
                   boolean&nbsp;connect)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="append(hk.quantr.mxgraph.util.svg.ExtendedPathIterator,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>append</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;append&#8203;(<a href="ExtendedPathIterator.html" title="interface in hk.quantr.mxgraph.util.svg">ExtendedPathIterator</a>&nbsp;epi,
                   boolean&nbsp;connect)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="getWindingRule()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWindingRule</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getWindingRule()</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="setWindingRule(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWindingRule</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setWindingRule&#8203;(int&nbsp;rule)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="getCurrentPoint()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentPoint</h4>
<pre class="methodSignature">public&nbsp;java.awt.geom.Point2D&nbsp;getCurrentPoint()</pre>
<div class="block">get the current position or <code>null</code>.</div>
</li>
</ul>
<a id="reset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;reset()</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="transform(java.awt.geom.AffineTransform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transform</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;transform&#8203;(java.awt.geom.AffineTransform&nbsp;at)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="createTransformedShape(java.awt.geom.AffineTransform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransformedShape</h4>
<pre class="methodSignature">public&nbsp;java.awt.Shape&nbsp;createTransformedShape&#8203;(java.awt.geom.AffineTransform&nbsp;at)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="getBounds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBounds</h4>
<pre class="methodSignature">public&nbsp;java.awt.Rectangle&nbsp;getBounds()</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getBounds</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="getBounds2D()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBounds2D</h4>
<pre class="methodSignature">public&nbsp;java.awt.geom.Rectangle2D&nbsp;getBounds2D()</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getBounds2D</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="contains(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(double&nbsp;x,
                        double&nbsp;y)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="contains(java.awt.geom.Point2D)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(java.awt.geom.Point2D&nbsp;p)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="contains(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(double&nbsp;x,
                        double&nbsp;y,
                        double&nbsp;w,
                        double&nbsp;h)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="contains(java.awt.geom.Rectangle2D)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(java.awt.geom.Rectangle2D&nbsp;r)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="intersects(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersects</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;intersects&#8203;(double&nbsp;x,
                          double&nbsp;y,
                          double&nbsp;w,
                          double&nbsp;h)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>intersects</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="intersects(java.awt.geom.Rectangle2D)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersects</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;intersects&#8203;(java.awt.geom.Rectangle2D&nbsp;r)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>intersects</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="getPathIterator(java.awt.geom.AffineTransform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPathIterator</h4>
<pre class="methodSignature">public&nbsp;java.awt.geom.PathIterator&nbsp;getPathIterator&#8203;(java.awt.geom.AffineTransform&nbsp;at)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getPathIterator</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="getPathIterator(java.awt.geom.AffineTransform,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPathIterator</h4>
<pre class="methodSignature">public&nbsp;java.awt.geom.PathIterator&nbsp;getPathIterator&#8203;(java.awt.geom.AffineTransform&nbsp;at,
                                                  double&nbsp;flatness)</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getPathIterator</code>&nbsp;in interface&nbsp;<code>java.awt.Shape</code></dd>
</dl>
</li>
</ul>
<a id="getExtendedPathIterator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtendedPathIterator</h4>
<pre class="methodSignature">public&nbsp;<a href="ExtendedPathIterator.html" title="interface in hk.quantr.mxgraph.util.svg">ExtendedPathIterator</a>&nbsp;getExtendedPathIterator()</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
</li>
</ul>
<a id="clone()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clone</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;clone()</pre>
<div class="block">Delegates to the enclosed <code>GeneralPath</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ExtendedGeneralPath.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
